package com.dcsoft.system.consume.mapper;

import com.dcsoft.system.consume.domain.*;

import java.util.List;
import java.util.Map;

/**
 * 消费记录Mapper接口
 *
 * @author nichun
 * @date 2023-09-08
 */
public interface ConsumeRecordMapper
{
    /**
     * 查询消费记录
     *
     * @param id 消费记录主键
     * @return 消费记录
     */
    public ConsumeRecord selectConsumeRecordById(Long id);

    /**
     * 查询消费记录列表
     *
     * @param consumeRecord 消费记录
     * @return 消费记录集合
     */
    public List<ConsumeRecord> selectConsumeRecordList(ConsumeRecord consumeRecord);

    /**
     * 新增消费记录
     *
     * @param consumeRecord 消费记录
     * @return 结果
     */
    public int insertConsumeRecord(ConsumeRecord consumeRecord);

    /**
     * 修改消费记录
     *
     * @param consumeRecord 消费记录
     * @return 结果
     */
    public int updateConsumeRecord(ConsumeRecord consumeRecord);

    /**
     * 删除消费记录
     *
     * @param id 消费记录主键
     * @return 结果
     */
    public int deleteConsumeRecordById(Long id);

    /**
     * 批量删除消费记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteConsumeRecordByIds(Long[] ids);

    public List<BusinessSummary> selectBusinessSummaryList(BusinessSummary businessSummary);

    public  List<ConsumeTime> selectConsumeTimeList(ConsumeTime consumeTime);

    public List<ConsumeSelf> selectConsumeSelfList(ConsumeSelf consumeSelf);

    public List<ConsumeBranch> selectConsumeBranchList(ConsumeBranch consumeSelf);

    public List<Map<String, Object>> consumeChart();

    public List<Map<String, Object>> consumeBarChart();

    public List<Map<String, Object>> dklineChart();

    public List<Map<String, Object>> pieChart();


    public ConsumeBranch selectConsumeBranchByOther(ConsumeBranch consumeBranch);

    public List<ConsumeRecord> selectAmendConsumeList();

    public int syncConsume();
}
